Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.xa
Class ConnectionFactoryWrapper

    java.lang.Object
      org.mule.transport.jms.xa.ConnectionFactoryWrapper

All Implemented Interfaces:
  ConnectionFactory, QueueConnectionFactory, TopicConnectionFactory

    public class ConnectionFactoryWrapper

extends Object
implements ConnectionFactory, QueueConnectionFactory, TopicConnectionFactory

Field Summary
`protected Object` | `factory`
`protected static Log` | `logger` logger used by this class

Constructor Summary
`ConnectionFactoryWrapper(Object factory)`
`ConnectionFactoryWrapper(Object factory, Boolean sameRMOverrideValue)`

Method Summary
`Connection` | `createConnection()`
`Connection` | `createConnection(String username, String password)`
`QueueConnection` | `createQueueConnection()`
`QueueConnection` | `createQueueConnection(String username, String password)`
`TopicConnection` | `createTopicConnection()`
`TopicConnection` | `createTopicConnection(String username, String password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final transient Log logger

  logger used by this class

### factory

    protected final Object factory

Constructor Detail

### ConnectionFactoryWrapper

    public ConnectionFactoryWrapper(Object factory)

### ConnectionFactoryWrapper

    public ConnectionFactoryWrapper(Object factory,
                                    Boolean sameRMOverrideValue)

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(String username,
                                       String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Throws:
    `JMSException`

### createQueueConnection

    public QueueConnection createQueueConnection(String username,
                                                 String password)
                                          throws JMSException

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection(String username,
                                                 String password)
                                          throws JMSException

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.